# spacepy.pybats.rim.fix_format

`spacepy.pybats.rim.``fix_format`(filename, finalize=True)

  Some 2D output files for RIM/RidleySerial have a broken format: values for the same lat-lon entry are split across two lines. This function detects and fixes such files in-place.

  Deprecated since version 0.2.2: Functionality integrated into rim.Iono.

  The original file will not be overwritten if kwarg finalize is set to False.

  Parameters
    filename str

      The file to repair.

  Other Parameters
    finalize bool

      If True, overwrite the original file. If False, perform a dry run for testing purposes. Defaults to True.